
From: "Art Haas" <ahaas@airmail.net>

Here's a small patch changing GNU-style initializers to C99 initializers.


---

 25-akpm/drivers/media/dvb/frontends/stv0299.c |   56 ++++++++++++++++++++++----
 1 files changed, 48 insertions(+), 8 deletions(-)

diff -puN drivers/media/dvb/frontends/stv0299.c~stv0229-c99-fixes drivers/media/dvb/frontends/stv0299.c
--- 25/drivers/media/dvb/frontends/stv0299.c~stv0229-c99-fixes	Wed Feb 25 13:41:23 2004
+++ 25-akpm/drivers/media/dvb/frontends/stv0299.c	Wed Feb 25 13:41:23 2004
@@ -305,8 +305,12 @@ static int stv0299_readregs (struct dvb_
 static int pll_write (struct dvb_i2c_bus *i2c, u8 addr, u8 *data, int len)
 {
 	int ret;
-	struct i2c_msg msg = { addr: addr, .flags = 0, .buf = data, .len = len };
-
+	struct i2c_msg msg = {
+		.addr = addr,
+		.flags = 0,
+		.buf = data,
+		.len = len
+	};
 
 	stv0299_writereg(i2c, 0x05, 0xb5);	/*  enable i2c repeater on stv0299  */
 
@@ -1154,12 +1158,48 @@ static long probe_tuner (struct dvb_i2c_
         u8 stat [] = { 0 };
 	u8 tda6100_buf [] = { 0, 0 };
 	int ret;
-	struct i2c_msg msg1 [] = {{ .addr = 0x68, .flags = 0, .buf = rpt,  len: 2 },
-                           { .addr = 0x60, .flags = I2C_M_RD, .buf = stat, .len = 1 }};
-	struct i2c_msg msg2 [] = {{ .addr = 0x68, .flags = 0, .buf = rpt,  len: 2 },
-                           { .addr = 0x61, .flags = I2C_M_RD, .buf = stat, .len = 1 }};
-	struct i2c_msg msg3 [] = {{ .addr = 0x68, .flags = 0, .buf = rpt,  len: 2 },
-			   { .addr = 0x60, .flags = 0, .buf = tda6100_buf, .len = 2 }};
+	struct i2c_msg msg1 [] = {
+		{
+			.addr	= 0x68,
+			.flags	= 0,
+			.buf	= rpt,
+			.len	= 2
+		},
+		{
+			.addr	= 0x60,
+			.flags	= I2C_M_RD,
+			.buf	= stat,
+			.len	= 1
+		}
+	};
+	struct i2c_msg msg2 [] = {
+		{
+			.addr	= 0x68,
+			.flags	= 0,
+			.buf	= rpt,
+			.len	= 2
+		},
+		{
+			.addr	= 0x61,
+			.flags	= I2C_M_RD,
+			.buf	= stat,
+			.len	= 1
+		}
+	};
+	struct i2c_msg msg3 [] = {
+		{
+			.addr	= 0x68,
+			.flags	= 0,
+			.buf	= rpt,
+			.len	= 2
+		},
+		{
+			.addr	= 0x60,
+			.flags	= 0,
+			.buf	= tda6100_buf,
+			.len	= 2
+		}
+	};
 
 	stv0299_writereg (i2c, 0x01, 0x15);
 	stv0299_writereg (i2c, 0x02, 0x30);

_
